{
  "extends": ["tslint:latest", "tslint-config-prettier"],
  "defaultSeverity": "error",
  "rules": {
    "typedef": [
      true,
      "arrow-call-signature",
      "arrow-parameter",
      "call-signature",
      "member-variable-declaration",
      "parameter",
      "property-declaration"
    ],
    "no-console": true,
    "object-literal-sort-keys": [true, "match-declaration-order-only"],
    "no-implicit-dependencies": false,
    "no-submodule-imports": false,
    "no-floating-promises": true,
    "no-unused-expression": true,
    "await-promise": true,
    "no-inferrable-types": [true, "ignore-params", "ignore-properties"],
    "prefer-for-of": true,
    "no-empty": [true, "allow-empty-functions"],
    "no-magic-numbers": [true, -1, 0, 1],
    "no-parameter-reassignment": true,
    "arrow-return-shorthand": true,
    "no-default-export": true,
    "prefer-template": true,
    "only-arrow-functions": [true, "allow-named-functions"]
  },
  "jsRules": true
}
